For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKUs
      • PATCHUpdate SKU
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EcommerceProducts & SKUs

Create SKUs

POST
https://api.webflow.com/beta/sites/:site_id/products/:product_id/skus
POST
/beta/sites/:site_id/products/:product_id/skus
$curl -X POST https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "skus": [
> {}
> ]
>}'
1{
2 "skus": [
3 {
4 "id": "580e63fc8c9a982ac9b8b745",
5 "cmsLocaleId": "653ad57de882f528b32e810e",
6 "lastPublished": "2023-03-17T18:47:35.560Z",
7 "lastUpdated": "2023-03-17T18:47:35.560Z",
8 "createdOn": "2023-03-17T18:47:35.560Z",
9 "fieldData": {
10 "name": "Blue T-shirt",
11 "slug": "t-shirt-blue",
12 "price": {
13 "value": 2499,
14 "unit": "USD",
15 "currency": "USD"
16 },
17 "sku-values": {
18 "color": "blue",
19 "size": "small"
20 },
21 "compare-at-price": {
22 "value": 100,
23 "unit": "USD"
24 },
25 "ec-sku-billing-method": "one-time",
26 "ec-sku-subscription-plan": {
27 "interval": "day",
28 "frequency": 1,
29 "trial": 7,
30 "plans": [
31 {
32 "platform": "stripe",
33 "id": "string",
34 "status": "active"
35 }
36 ]
37 },
38 "main-image": "https://www.example.com/image.jpg",
39 "sku": "1234567890",
40 "sku-properties": [
41 {
42 "id": "Color",
43 "name": "Color",
44 "enum": [
45 {
46 "id": "royal-blue",
47 "name": "Royal Blue",
48 "slug": "royal-blue"
49 }
50 ]
51 }
52 ]
53 }
54 }
55 ]
56}
Create additional SKUs to manage every [option and variant of your Product.](https://help.webflow.com/hc/en-us/articles/33961334531347-Create-product-options-and-variants) Creating SKUs through the API will set the product type to `Advanced`, which ensures all Product and SKU fields will be shown to users in the Designer. Required scope | `ecommerce:write`
Was this page helpful?
Previous

Update SKU

Next
Built with

Create additional SKUs to manage every option and variant of your Product.

Creating SKUs through the API will set the product type to Advanced, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | ecommerce:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
product_idstringRequiredformat: "objectid"
Unique identifier for a Product

Request

The SKUs to add
skuslist of objectsRequired
An array of the SKU data your are adding
publishStatusenumOptionalDefaults to staging
Indicate whether your Product should be set as "staging" or "live"
Allowed values:

Response

Request was successful
skuslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error